function inds = crossword(crossmat,word)
[nrows, ncols] = size(crossmat);
inds = {};
% Rows
for row = 1:nrows
    startind = myStrFindi(crossmat(row,:),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            colloc = startind(s);
            inds{end+1} = [row,colloc];
        end
    end
    startind = myStrFindi(crossmat(row,end:-1:1),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            colloc = ncols - startind(s) + 1;
            inds{end+1} = [row,colloc];
        end
    end
end
% Cols
for col = 1:ncols
    startind = myStrFindi(crossmat(:,col)',word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = startind(s);
            inds{end+1} = [rowloc,col];
        end
    end
    startind = myStrFindi(crossmat(end:-1:1,col)',word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = nrows - startind(s) + 1;
            inds{end+1} = [rowloc,col];
        end
    end
end

% LR Down 
startc = 1;
for startr = nrows:-1:1
    thestring = [];
    curr = startr;
    curc = startc;
    while(curr <= nrows && curc <= ncols)
        thestring = [thestring crossmat(curr,curc)];
        curr = curr + 1;
        curc = curc + 1;
    end
    startind = myStrFindi(thestring,word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = startr + startind - 1;
            colloc = startc + startind - 1;
            inds{end+1} = [rowloc,colloc];
        end
    end
    startind = myStrFindi(thestring(end:-1:1),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = length(thestring) - startind + startr;
            colloc = length(thestring) - startind + startc;
            inds{end+1} = [rowloc,colloc];
        end
    end
end
startr = 1;
for startc = 2:ncols
    thestring = [];
    curr = startr;
    curc = startc;
    while(curr <= nrows && curc <= ncols)
        thestring = [thestring crossmat(curr,curc)];
        curr = curr + 1;
        curc = curc + 1;
    end
    startind = myStrFindi(thestring,word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = startr + startind - 1
            colloc = startc + startind - 1;
            inds{end+1} = [rowloc,colloc];
        end
    end
    startind = myStrFindi(thestring(end:-1:1),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = length(thestring) - startind + startr;
            colloc = length(thestring) - startind + startc;
            inds{end+1} = [rowloc,colloc];
        end
    end
end

% LR Up 
startc = 1;
for startr = 1:nrows
    thestring = [];
    curr = startr;
    curc = startc;
    while(curr > 0 && curc <= ncols)
        thestring = [thestring crossmat(curr,curc)];
        curr = curr - 1;
        curc = curc + 1;
    end
    startind = myStrFindi(thestring,word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = startr - startind + 1;
            colloc = startc + startind - 1;
            inds{end+1} = [rowloc,colloc];
        end
    end
    startind = myStrFindi(thestring(end:-1:1),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = -(length(thestring) - startind) + startr;
            colloc = length(thestring) - startind + startc;
            inds{end+1} = [rowloc,colloc];
        end
    end
end
startr = nrows;
for startc = 2:ncols
    thestring = [];
    curr = startr;
    curc = startc;
    while(curr > 0 && curc <= ncols)
        thestring = [thestring crossmat(curr,curc)];
        curr = curr - 1;
        curc = curc + 1;
    end
    startind = myStrFindi(thestring,word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = startr - startind + 1;
            colloc = startc + startind - 1;
            inds{end+1} = [rowloc,colloc];
        end
    end
    startind = myStrFindi(thestring(end:-1:1),word);
    if ~isempty(startind)
        for s = 1:length(startind)
            rowloc = -(length(thestring) - startind) + startr;
            colloc = length(thestring) - startind + startc;
            inds{end+1} = [rowloc,colloc];
        end
    end
end


end